Geth-Parity Proxy

Etherscan-compatible endpoints for the Geth-Parity Proxy module.

eth_blockNumber

Returns the number of most recent block

GET
https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=proxy&action=eth_blockNumber&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=proxy&action=eth_blockNumber' \
2 -H 'apikey: YourApiKeyToken'
1{
2 jsonrpc: string;
3 id: number;
4 result: string;
5}

eth_getBlockByNumber

Returns information about a block by block number.

GET
https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=proxy&action=eth_getBlockByNumber&tag=0x10d4f&boolean=true&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=proxy&action=eth_getBlockByNumber&tag=0x10d4f&boolean=true' \
2 -H 'apikey: YourApiKeyToken'
1{
2 jsonrpc: string;
3 id: number;
4 result: {
5 hash: string;
6 parentHash: string;
7 sha3Uncles: string;
8 miner: string;
9 stateRoot: string;
10 transactionsRoot: string;
11 receiptsRoot: string;
12 logsBloom: string;
13 difficulty: string;
14 number: string;
15 gasLimit: string;
16 gasUsed: string;
17 timestamp: string;
18 extraData: string;
19 mixHash: string;
20 nonce: string;
21 size: string;
22 uncles: Record<string, unknown>[];
23 transactions: {
24 type: string;
25 nonce: string;
26 gasPrice: string;
27 gas: string;
28 to: string;
29 value: string;
30 input: string;
31 r: string;
32 s: string;
33 v: string;
34 hash: string;
35 blockHash: string;
36 blockNumber: string;
37 transactionIndex: string;
38 from: string;
39 blockTimestamp: string;
40 }[];
41 };
42}

eth_getUncleByBlockNumberAndIndex

Returns information about a uncle by block number.

GET
https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=proxy&action=eth_getUncleByBlockNumberAndIndex&tag=0xC63276&index=0x0&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=proxy&action=eth_getUncleByBlockNumberAndIndex&tag=0xC63276&index=0x0' \
2 -H 'apikey: YourApiKeyToken'
1{
2 jsonrpc: string;
3 id: number;
4 result: {
5 hash: string;
6 parentHash: string;
7 sha3Uncles: string;
8 miner: string;
9 stateRoot: string;
10 transactionsRoot: string;
11 receiptsRoot: string;
12 logsBloom: string;
13 difficulty: string;
14 number: string;
15 gasLimit: string;
16 gasUsed: string;
17 timestamp: string;
18 extraData: string;
19 mixHash: string;
20 nonce: string;
21 baseFeePerGas: string;
22 size: string;
23 uncles: Record<string, unknown>[];
24 };
25}

eth_getBlockTransactionCountByNumber

Returns the number of transactions in a block.

GET
https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=proxy&action=eth_getBlockTransactionCountByNumber&tag=0x10FB78&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=proxy&action=eth_getBlockTransactionCountByNumber&tag=0x10FB78' \
2 -H 'apikey: YourApiKeyToken'
1{
2 jsonrpc: string;
3 id: number;
4 result: string;
5}

eth_getTransactionByHash

Returns the information about a transaction requested by transaction hash.

GET
https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=proxy&action=eth_getTransactionByHash&txhash=0xbc78ab8a9e9a0bca7d0321a27b2c03addeae08ba81ea98b03cd3dd237eabed44&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=proxy&action=eth_getTransactionByHash&txhash=0xbc78ab8a9e9a0bca7d0321a27b2c03addeae08ba81ea98b03cd3dd237eabed44' \
2 -H 'apikey: YourApiKeyToken'
1{
2 jsonrpc: string;
3 id: number;
4 result: {
5 type: string;
6 chainId: string;
7 nonce: string;
8 gas: string;
9 maxFeePerGas: string;
10 maxPriorityFeePerGas: string;
11 to: string;
12 value: string;
13 accessList: Record<string, unknown>[];
14 input: string;
15 r: string;
16 s: string;
17 yParity: string;
18 v: string;
19 hash: string;
20 blockHash: string;
21 blockNumber: string;
22 transactionIndex: string;
23 from: string;
24 gasPrice: string;
25 blockTimestamp: string;
26 };
27}

eth_getTransactionByBlockNumberAndIndex

Returns information about a transaction by block number and transaction index position.

GET
https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=proxy&action=eth_getTransactionByBlockNumberAndIndex&tag=0xC6331D&index=0x11A&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=proxy&action=eth_getTransactionByBlockNumberAndIndex&tag=0xC6331D&index=0x11A' \
2 -H 'apikey: YourApiKeyToken'
1{
2 jsonrpc: string;
3 id: number;
4 result: {
5 type: string;
6 chainId: string;
7 nonce: string;
8 gas: string;
9 maxFeePerGas: string;
10 maxPriorityFeePerGas: string;
11 to: string;
12 value: string;
13 accessList: Record<string, unknown>[];
14 input: string;
15 r: string;
16 s: string;
17 yParity: string;
18 v: string;
19 hash: string;
20 blockHash: string;
21 blockNumber: string;
22 transactionIndex: string;
23 from: string;
24 gasPrice: string;
25 blockTimestamp: string;
26 };
27}

eth_getTransactionCount

Returns the number of transactions performed by an address.

GET
https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=proxy&action=eth_getTransactionCount&address=0x4bd5900Cb274ef15b153066D736bf3e83A9ba44e&tag=latest&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=proxy&action=eth_getTransactionCount&address=0x4bd5900Cb274ef15b153066D736bf3e83A9ba44e&tag=latest' \
2 -H 'apikey: YourApiKeyToken'
1{
2 jsonrpc: string;
3 id: number;
4 result: string;
5}

eth_getTransactionReceipt

Returns the receipt of a transaction by transaction hash.

GET
https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=proxy&action=eth_getTransactionReceipt&txhash=0xadb8aec59e80db99811ac4a0235efa3e45da32928bcff557998552250fa672eb&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=proxy&action=eth_getTransactionReceipt&txhash=0xadb8aec59e80db99811ac4a0235efa3e45da32928bcff557998552250fa672eb' \
2 -H 'apikey: YourApiKeyToken'
1{
2 jsonrpc: string;
3 id: number;
4 result: string;
5}

eth_call

Executes a new message call immediately without creating a transaction on the block chain.

GET
https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=proxy&action=eth_call&to=0xAEEF46DB4855E25702F8237E8f403FddcaF931C0&data=0x70a08231000000000000000000000000e16359506c028e51f16be38986ec5746251e9724&tag=latest&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=proxy&action=eth_call&to=0xAEEF46DB4855E25702F8237E8f403FddcaF931C0&data=0x70a08231000000000000000000000000e16359506c028e51f16be38986ec5746251e9724&tag=latest' \
2 -H 'apikey: YourApiKeyToken'
1{
2 jsonrpc: string;
3 id: number;
4 result: string;
5}

eth_getCode

Returns code at a given address.

GET
https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=proxy&action=eth_getCode&address=0xf75e354c5edc8efed9b59ee9f67a80845ade7d0c&tag=latest&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=proxy&action=eth_getCode&address=0xf75e354c5edc8efed9b59ee9f67a80845ade7d0c&tag=latest' \
2 -H 'apikey: YourApiKeyToken'
1{
2 jsonrpc: string;
3 id: number;
4 result: string;
5}

eth_getStorageAt

Returns the value from a storage position at a given address.

GET
https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=proxy&action=eth_getStorageAt&address=0x6e03d9cce9d60f3e9f2597e13cd4c54c55330cfd&position=0x0&tag=latest&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=proxy&action=eth_getStorageAt&address=0x6e03d9cce9d60f3e9f2597e13cd4c54c55330cfd&position=0x0&tag=latest' \
2 -H 'apikey: YourApiKeyToken'
1{
2 jsonrpc: string;
3 id: number;
4 result: string;
5}

eth_gasPrice

Returns the current price per gas in wei.

GET
https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=proxy&action=eth_gasPrice&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=proxy&action=eth_gasPrice' \
2 -H 'apikey: YourApiKeyToken'
1{
2 jsonrpc: string;
3 id: number;
4 result: string;
5}

eth_estimateGas

Makes a call or transaction, which won't be added to the blockchain and returns the used gas.

GET
https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=proxy&action=eth_estimateGas&data=0x4e71d92d&to=0xf0160428a8552ac9bb7e050d90eeade4ddd52843&value=0xff22&gasPrice=0x51da038cc&gas=0x5f5e0ff&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=proxy&action=eth_estimateGas&data=0x4e71d92d&to=0xf0160428a8552ac9bb7e050d90eeade4ddd52843&value=0xff22&gasPrice=0x51da038cc&gas=0x5f5e0ff' \
2 -H 'apikey: YourApiKeyToken'
Questions? Contact us